aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2020-11-13 02:16:51 -0600
committerRob Landley <rob@landley.net>2020-11-13 02:16:51 -0600
commit3e28f611e452b52b21360c56dbf250d242bbb4a5 (patch)
tree9715214286dc669e744795bb6c0b887bb176a37c /scripts
parent2ee4b7207e9dbfd385740d5f142dfb95b0a621ed (diff)
downloadtoybox-3e28f611e452b52b21360c56dbf250d242bbb4a5.tar.gz
Properly install toybox files with $TARGET suffixes.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/install.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/install.sh b/scripts/install.sh
index cac8b237..648a2411 100755
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -43,7 +43,7 @@ if [ -z "$UNINSTALL" ]
then
mkdir -p "${PREFIX}/${LONG_PATH}" &&
rm -f "${PREFIX}/${LONG_PATH}/toybox" &&
- cp toybox ${PREFIX}/${LONG_PATH} || exit 1
+ cp toybox"${TARGET:+-$TARGET}" ${PREFIX}/${LONG_PATH} || exit 1
else
rm -f "${PREFIX}/${LONG_PATH}/toybox" 2>/dev/null
fi
@@ -86,7 +86,7 @@ do
# Create link
if [ -z "$UNINSTALL" ]
then
- ln $DO_FORCE $LINK_TYPE ${DOTPATH}toybox $i || EXIT=1
+ ln $DO_FORCE $LINK_TYPE ${DOTPATH}"toybox${TARGET:+-$TARGET}" $i || EXIT=1
else
rm -f $i || EXIT=1
fi